Package csb :: Package bio :: Package io :: Module hhpred :: Class HHMFileBuilder

[frames] | no frames]

# Class HHMFileBuilder

source code

    object --+
             |
            HHMFileBuilder

Builder for HHpred's hhm files.

Instance Methods

__init__(self, output) x.__init__(...) initializes x; see help(type(x)) for signature | source code

add_hmm(self, hmm) Append a new HMM to the destination stream. | source code

write(self, data) | source code

writeline(self, data) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
stream | output Destination stream
Inherited from `object`: `__class__`

Method Details

### __init__(self, output)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `output` (file) - destination stream
Overrides: object.__init__
  (inherited documentation)

### add_hmm(self, hmm)

source code

Append a new HMM to the destination stream.

Parameters:
  - `hmm` (ProfileHMM) - profile HMM to serialize

Property Details

### output

Destination stream

Get Method:
  unreachable.output(self) - Destination stream
Type:
  stream